
#include <oslib/oslib.h>


///////Exemple Fait par Yodajr ///////////
///bha oui la base sera toujour la meme donc innutile de le refaire :)


//definition des pointeurs vers nos images 
OSL_IMAGE *Fond2;
OSL_IMAGE *sprite; 

//variables 
int zoom = 160; 
int alpha = 128; 


void image_Manip()
{


	//definition de la transparence
	oslSetTransparentColor(RGB(255,0,255));

	//chargement de nos images (oui, le "loading" :p) 
    Fond2 = oslLoadImageFile("media/fond_boss.png", OSL_IN_RAM, OSL_PF_5551); 
    sprite = oslLoadImageFile("media/boo.png", OSL_IN_RAM, OSL_PF_5551);    

	    //plus de transparence 
    oslDisableTransparentColor(); 

    //centre du sprite 
    sprite->centerX = sprite->sizeX / 2;         
    sprite->centerY = sprite->sizeY / 2; 
     
    //on le place au centre de l'écran 
    sprite->x = 240;                             
    sprite->y = 136; 
     
    //boucle principale 
    while (!osl_quit) 
    { 
        //Permet de dessiner 
        oslStartDrawing(); 
         
        //Lit les touches 
        oslReadKeys(); 
         
        //deplace le sprite de sprite 
        if (osl_keys->held.down) sprite->y += 2; 
        if (osl_keys->held.up) sprite->y -= 2; 
        if (osl_keys->held.left) sprite->x -= 2; 
        if (osl_keys->held.right) sprite->x += 2; 

        //effectue une rotation sur sprite 
        if (osl_keys->held.L) sprite->angle -= 2; 
        if (osl_keys->held.R) sprite->angle += 2; 

        //zoome le sprite de sprite 
        if (osl_keys->held.square && zoom < 400) { sprite->stretchX++; sprite->stretchY++; zoom++; } 
        if (osl_keys->held.circle &&  zoom > 0 ) { sprite->stretchX--; sprite->stretchY--; zoom--; } 
         
        //reglage de la transparence 
        if (osl_keys->held.triangle && alpha > 0) alpha--; 
        if (osl_keys->held.cross &&  alpha < 255) alpha++; 

        //dessine nos images         
        oslDrawImage(Fond2); 

        //active la transparence 
        oslSetAlpha(OSL_FX_ALPHA,alpha); 

        oslDrawImage(sprite); 

        //desactive la transparence 
        oslSetAlpha(OSL_FX_RGBA,alpha);


		oslSynchronization();
		if (osl_keys->pressed.start)break;


	}

}



